Bug 490229 - clock applet show incorrect time after daylight saving starts
clock applet show incorrect time after daylight saving starts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 18:24 EDT by Christian Lupien
Modified: 2009-07-14 12:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Lupien 2009-03-13 18:24:33 EDT
Description of problem:
The Clock-applet appointments time is wrong during the week after daylight saving time starts. The error is one hour.


Version-Release number of selected component (if applicable):
 gnome-panel  2.22.2-3.fc9
 evolution 2.22.3.1-1.fc9

How reproducible:
 I have looked at scheduled events for the week of march 9 2008, march 8 2009 and march 14 2010 and they all showed an extra hour on the clock-applet compared to evolution.

Steps to Reproduce:
1. Schedule an event during the week after the daylight saving time is suppose to start, for example on Friday march 13, 2009 at 10:00 am
2. Look at the time the clock applet gives for the appointment. 
  
Actual results:
In the case above it will show 11:00am.

Expected results:
Obviously the time showed should be 10:00am. 


Additional info:
For both applications (evolution and clock-applet which is part of gnome-panel) and for my system, I use the America/Montreal time zone.

The problem could be in evolution but I checked my calendar.ics file and the time looks ok there.

It is only during the week after daylight saving starts that there is a problem. The weeks before or more than a week after it seems ok.
Comment 1 Bug Zapper 2009-06-09 23:36:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:24:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.